@echo off
rem ********************************************************************************
rem *
rem * AUTOSGTK.BAT
rem *
rem * This file acts like an autoexec.bat for the Altiris(R) environment.
rem *
rem ********************************************************************************

rem ********************************************************************************
rem * Set the ServerGuide Scripting Toolkit drive
rem ********************************************************************************
set TKDRV=F:

rem *********************************************************************
rem * Defines the assembly directory for the Scripting Toolkit, includes
rem * toolkit files, device driver files, operating system files, etc.
rem *********************************************************************
set TASDIR=sgdeploy

rem ********************************************************************************
rem * Defines the base directory for the ServerGuide Scripting Toolkit files
rem ********************************************************************************
set TKDIR=sgtk


rem ********************************************************************************
rem * Defines the NOSDIR to use for the installation:  windows or linux
rem ********************************************************************************
set NOSDIR=windows

if "%1"== "" goto SETUP
if %1==1 set NOSDIR=windows
if %1==2 set NOSDIR=linux

:SETUP
rem ********************************************************************************
rem * Buffer machine type to prevent problems later.
rem ********************************************************************************
set MACHTYPE=0000

rem ********************************************************************************
rem * Setup the user's environment variables
rem ********************************************************************************
call %TKDRV%\%TASDIR%\%TKDIR%\altiris\%NOSDIR%\usrvars.bat

rem ********************************************************************************
rem * Setup the ServerGuide Scripting Toolkit path
rem ********************************************************************************
SET PATH=%TK_PATH%\DOS;%TK_PATH%\UTILS;%TK_PATH%\EXAMPLES;

rem ********************************************************************************
rem * Setup RAMDSK
rem ********************************************************************************
call loadram.bat

rem ********************************************************************************
rem * Reset the ServerGuide Scripting Toolkit path; add the RAMDSK to path
rem ********************************************************************************
SET PATH=%RAMDSK%\;%TK_PATH%\DOS;%TK_PATH%\UTILS;%TK_PATH%\EXAMPLES;


rem ********************************************************************************
rem * Copy 
rem ********************************************************************************
copy %TKDRV%\%TASDIR%\%TKDIR%\altiris\%NOSDIR%\usrvars.bat %RAMDSK%\ > nul

rem ********************************************************************************
rem * Copy command.com to the ramdisk, and update comspec
rem ********************************************************************************
copy A:\command.com %RAMDSK%\command.com
set COMSPEC=%RAMDSK%\command.com

rem ********************************************************************************
rem * Kick off the ServerGuide Scripting Toolkit process
rem ********************************************************************************
call stkhder.bat
echo.



:END

