@echo off

rem ********************************************************************************
rem *
rem * ADSRAID.BAT
rem *
rem * This file copies the ServerGuide Scripting Toolkit RAID utilities for RAID
rem * Configuration under Microsoft(R) Automated Deployment Services and then
rem * uninitializes the network to save memory.
rem * Environment variables used here and in the batch files that are called by 
rem * this file are defined in usrvars.bat.   
rem *
rem * This batch file is called by the autoexec.bat file.
rem *
rem *
rem ********************************************************************************

echo Copying RAID utilities to the RAM Disk.
echo .

rem ********************************************************************************
rem * Copy all the RAID utilities for all adapters to the RAM Disk
rem ********************************************************************************

copy %TK_PATH%\utils\acu.exe %RAMDSK%\acu.exe > nul
copy %TK_PATH%\utils\acuahci.exe %RAMDSK%\acuahci.exe > nul
copy %TK_PATH%\utils\acuichsv.exe %RAMDSK%\acuichsv.exe > nul
copy %TK_PATH%\utils\acusas8e.exe %RAMDSK%\acusas8e.exe > nul
copy %TK_PATH%\utils\acusas.exe %RAMDSK%\acusas.exe > nul
copy %TK_PATH%\utils\cfg1030.exe %RAMDSK%\cfg1030.exe > nul
copy %TK_PATH%\utils\cfggen.exe %RAMDSK%\cfggen.exe > nul
copy %TK_PATH%\utils\ipssend.exe %RAMDSK%\ipssend.exe > nul
copy %TK_PATH%\utils\ipssendl.exe %RAMDSK%\ipssendl.exe > nul
copy %TK_PATH%\utils\praid.exe %RAMDSK%\praid.exe > nul
copy %TK_PATH%\utils\raidsel.exe %RAMDSK%\raidsel.exe > nul


echo RAID Configuration files copied to RAM Disk.
echo .
echo Copying Toolkit Utilities to RAM Disk.
echo .

rem ********************************************************************************
rem * Copy all needed Toolkit utilities to the RAM Disk
rem ********************************************************************************

copy %TK_PATH%\utils\clini.exe %RAMDSK%\clini.exe > nul
copy %TK_PATH%\utils\hwdetect.exe %RAMDSK%\hwdetect.exe > nul
copy %TK_PATH%\utils\mbrtool.exe %RAMDSK%\mbrtool.exe > nul
copy %TK_PATH%\utils\sleep.exe %RAMDSK%\sleep.exe > nul
copy %TK_PATH%\utils\reboot.com %RAMDSK%\reboot.com > nul
copy %TK_PATH%\utils\savestat.exe %RAMDSK%\savestat.exe > nul

echo Toolkit Utilities Copied to RAM Disk.
echo .
echo Copying process batch files to RAM Disk.

rem ********************************************************************************
rem * Copy all needed batch files to the RAM Disk.
rem ********************************************************************************

copy %TK_PATH%\examples\adscfg.bat %RAMDSK%\adscfg.bat > nul
copy %TK_PATH%\examples\adsupds.bat %RAMDSK%\adsupds.bat > nul
copy %TK_PATH%\examples\capraid.bat %RAMDSK%\capraid.bat > nul
copy %TK_PATH%\examples\cfgraid.bat %RAMDSK%\cfgraid.bat > nul
copy %TK_PATH%\examples\clrraid.bat %RAMDSK%\clrraid.bat > nul
copy %TK_PATH%\examples\clrupds.bat %RAMDSK%\clrupds.bat > nul
copy %TK_PATH%\examples\hwdet.bat %RAMDSK%\hwdet.bat > nul
copy %TK_PATH%\examples\loadbin.bat %RAMDSK%\loadbin.bat > nul
copy %TK_PATH%\examples\loadraid.bat %RAMDSK%\loadraid.bat > nul
copy %TK_PATH%\examples\loadram.bat %RAMDSK%\loadram.bat > nul
copy %TK_PATH%\examples\raidcln.bat %RAMDSK%\raidcln.bat > nul
copy %TK_PATH%\examples\rstraid.bat %RAMDSK%\rstraid.bat > nul
copy %TK_PATH%\examples\stkhder.bat %RAMDSK%\stkhder.bat > nul
copy %TK_PATH%\examples\tknet.bat %RAMDSK%\tknet.bat > nul

echo Process batch files copied to RAM Disk.
echo .
echo Copying DOS Utilities to RAM Disk.
echo .

rem ********************************************************************************
rem * Copy all needed DOS utilities to the RAM Disk.
rem ********************************************************************************

copy %TK_PATH%\dos\e.exe %RAMDSK%\e.exe > nul
copy %TK_PATH%\dos\mem.exe %RAMDSK%\mem.exe > nul
copy %TK_PATH%\dos\xcopy.exe %RAMDSK%\xcopy.exe > nul
copy %TK_PATH%\dos\dynaload.com %RAMDSK%\dynaload.com > nul
copy %TK_PATH%\dos\fdisk32.com %RAMDSK%\fdisk32.com > nul
copy %TK_PATH%\dos\format32.com %RAMDSK%\format32.com > nul
copy %TK_PATH%\dos\more.com %RAMDSK%\more.com > nul
copy %TK_PATH%\dos\ipsraspi.sys %RAMDSK%\ipsraspi.sys > nul

echo All DOS Utilities Copied.
echo .

