'Script for getting latest uxspi
'Written by Carlos Santana (c) 2006 IBM Corp.
'START CODE
Dim ShellCmd, FileSystemObject, TextStreamObject
Dim UXPPATHString, FILEVAR
Dim UXSPCMD
Dim TempFile
Const OpenFileForReading = 1
If WScript.Arguments.Count > 1 Then
UXPPATHString=Trim(WScript.Arguments.Item(0))
FILEVAR=Trim(WScript.Arguments.Item(1))
Else
  Call Usage()
End If
WScript.Echo "Searching for latest UpdateXpress System Pack Installer in: " & UXPPATHString & vbNewLine
Set ShellCmd = WScript.CreateObject("Wscript.Shell")
TempFile =  ShellCmd.ExpandEnvironmentStrings("%TMP%") & "\uxspilist.txt"
WScript.Echo "TempFile=" & TempFile & vbNewLine
RunReturnCode = ShellCmd.Run("cmd /C  dir /L /B /ON " & UXPPATHString & "\setup*.exe " & " >" & TempFile, 0, TRUE)
If Err.Number Then
  WScript.Echo "Error Command:dir /B /ON" & UXPPATHString & "\setup*.exe >%HOMEDRIVE%\uxspilist.txt" & vbNewLine &_
  Wscript.Quit(1)
End If
Set FileSystemObject = CreateObject("Scripting.FilesystemObject")
Set TextStreamObject = FileSystemObject.OpenTextFile(TempFile, OpenFileForReading)
If Err.Number Then
  WScript.Echo "Error opening C:\uxspilist.txt" & vbNewLine
  Wscript.Quit(1)
End If
'Parse the setup*.exe for the last one"
Do While Not TextStreamObject.AtEndOfStream 
UXSPCMD = Trim(TextStreamObject.ReadLine())
Loop
TextStreamObject.Close
WScript.Echo "UXSPCMD=" & UXSPCMD & vbNewLine
WScript.Echo "Saving SET UXSPCMD=" & UXSPCMD & " In file:" & FILEVAR& vbNewLine
RunReturnCode = ShellCmd.Run("CMD /C ECHO SET UXSPCMD=" & UXSPCMD & " >" & FILEVAR, 0, TRUE)
If Err.Number Then
  WScript.Echo "Error Command:SET  UXSPCMD=" & UXSPCMD & vbNewLine
  Wscript.Quit(1)
End If
WScript.Quit(0)
'Help Functions
Sub Usage()
   WScript.Echo "Usage:" & vbNewLine & _
                "uxspi.vbs %UXSPPATH% %FILEVAR%" & vbNewLine & _
		"Saves the UXSPI Name in variable %UXSPCMD% in file %FILEVAR%" & vbNewLine
   WScript.Quit(0)
End Sub
